org.eclipse.e4.ui.model.application.ui.menu

## Interface MMenuContribution

All Superinterfaces:
  MApplicationElement, MElementContainer<MMenuElement>, MLocalizable, MUIElement

    public interface MMenuContribution
    extends MElementContainer<MMenuElement>

A representation of the model object 'Contribution'.

Provisional for 4.3. This represents a potential extension to some menu already defined in the UI.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Position In Parent`
  - `Parent Id`
Restriction:
  This interface is not intended to be referenced by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getParentId()` Returns the value of the 'Parent Id' attribute
`String` `getPositionInParent()` Returns the value of the 'Position In Parent' attribute.
`void` `setParentId(String value)` Sets the value of the '`Parent Id`' attribute
`void` `setPositionInParent(String value)` Sets the value of the '`Position In Parent`' attribute

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MElementContainer

`getChildren, getSelectedElement, setSelectedElement`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`

### Method Detail

#### getPositionInParent

    String getPositionInParent()

Returns the value of the 'Position In Parent' attribute. The default value is `""`.

Indicates the position in the parent menu where this contribution should be placed.

Returns:
  the value of the 'Position In Parent' attribute.
See Also:
  `setPositionInParent(String)`

#### setPositionInParent

    void setPositionInParent(String value)

Sets the value of the '`Position In Parent`' attribute.

Parameters:
  `value` - the new value of the 'Position In Parent' attribute.
See Also:
  `getPositionInParent()`

#### getParentId

    String getParentId()

Returns the value of the 'Parent Id' attribute.

The element id of the Menu to be contributed to.

Returns:
  the value of the 'Parent Id' attribute.
See Also:
  `setParentId(String)`

#### setParentId

    void setParentId(String value)

Sets the value of the '`Parent Id`' attribute.

Parameters:
  `value` - the new value of the 'Parent Id' attribute.
See Also:
  `getParentId()`